export class DvnDataProviderLoadBalancers {
  constructor(damgaApi) {
    this.damgaApi = damgaApi;
  }
  getInitialData() {
    return this.getData();
  }
  getData() {
    return new Promise((resolve) => {
      this.damgaApi.getLoadBalancers()
        .then(response => resolve(response.results.sort((a, b) => a.name.localeCompare(b.name))));
    });
  }
  getQuickSearchText() {
    return '';
  }
  isQuickSearchEnabled() {
    return false;
  }
  setInitialData(_data) {
  }
  setQuickSearchText(_text) {
  }
}
